#ifndef RDSWIDGET_H
#define RDSWIDGET_H

#include <QtGui/QWidget>
#include <QEvent>

#include "../rdata.h"

namespace Ui {
class RDSWidget;
}

class RDSUpdateEvent : public QEvent
{
public:
   RDSUpdateEvent( const RData &D_, double be )
   : QEvent( QEvent::User ), blkerr(be), D(D_)
   {}

   double blkerr;
   RData D;
};

class RDSWidget : public QWidget
{
    Q_OBJECT
    
public:
    explicit RDSWidget(QWidget *parent = 0);
    ~RDSWidget();

public slots:
   void customEvent(QEvent *e);
    
private:
    Ui::RDSWidget *ui;
};

#endif // RDSWIDGET_H
