#ifndef RDATA_H
#define RDATA_H

#include "crc.h"

typedef struct
{

unsigned char type;
unsigned char B0;
unsigned char TP;


union
{
   unsigned int ui;
   struct { unsigned int CC:4, PT:4, PRN:8; } code;
} PI;

unsigned char LA, OPC, ECC;

unsigned char PTY;

unsigned char TA;
unsigned char MS;

unsigned char DI[4];

char PS[8];

struct
{
   unsigned int no, nomax, LFMF;
   unsigned int kHz[25];
} AF;

union
{
   unsigned int ui;
   struct { unsigned int day:5, hour:5, minute:6; } code;
} PIN;

unsigned char TextAB;
char RT[64];

unsigned int timeJD;
unsigned char timeHour;
unsigned char timeMinute;
short timeOffset;


} RData;

#ifdef __cplusplus

extern "C"
int setup_data( RData *buffer, U32 blk1, U32 blk2, U32 blk3, U32 blk4 );

#else

int setup_data( RData *buffer, U32 blk1, U32 blk2, U32 blk3, U32 blk4 );

#endif


#endif
